Last Comment Bug 749173 - Remove AutoPreserveCompartment
: Remove AutoPreserveCompartment
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: XPConnect (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla15
Assigned To: Bobby Holley (:bholley) (busy with Stylo)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on: cpg
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 07:04 PDT by Bobby Holley (:bholley) (busy with Stylo)
Modified: 2012-05-06 17:36 PDT (History)
4 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Remove AutoPreserveCompartment. v1 (3.09 KB, patch)
2012-05-05 09:41 PDT, Bobby Holley (:bholley) (busy with Stylo)
luke: review+
Details | Diff | Splinter Review

Description Bobby Holley (:bholley) (busy with Stylo) 2012-04-26 07:04:33 PDT
Split off from bug 747749. I'll do this once compartment-per-global lands. No particular reason why it depends on cpg, except that I want to avoid poking at this stuff right before the landing if I don't have to.
Comment 1 Bobby Holley (:bholley) (busy with Stylo) 2012-05-05 09:41:38 PDT
Created attachment 621312 [details] [diff] [review]
Remove AutoPreserveCompartment. v1

Attaching a patch. Flagging luke for review.
Comment 2 Bobby Holley (:bholley) (busy with Stylo) 2012-05-05 09:45:12 PDT
Pushed this to try: https://tbpl.mozilla.org/?tree=Try&rev=985954fd006f
Comment 3 Bobby Holley (:bholley) (busy with Stylo) 2012-05-06 04:12:20 PDT
Looks green on try. Pushed to m-i:
http://hg.mozilla.org/integration/mozilla-inbound/rev/b52e43bc204c
Comment 4 Ryan VanderMeulen [:RyanVM] 2012-05-06 17:36:56 PDT
https://hg.mozilla.org/mozilla-central/rev/b52e43bc204c

Note You need to log in before you can comment on or make changes to this bug.